Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network161.32.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
161.32.0.0
Broadcast address
161.39.255.255
First usable
161.32.0.1
Last usable
161.39.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
B (default /16)
As numbers
Hex A1200000 · Integer 2703228928 to 2703753215
Reverse DNS zones
32.161.in-addr.arpa
33.161.in-addr.arpa
34.161.in-addr.arpa
35.161.in-addr.arpa
36.161.in-addr.arpa
37.161.in-addr.arpa
38.161.in-addr.arpa
39.161.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100001.00100000.00000000.00000000161.32.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network10100001.00100000.00000000.00000000161.32.0.0
Broadcast10100001.00100111.11111111.11111111161.39.255.255
Split into smaller subnets/21

161.32.0.0/13 makes 256 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1161.32.0.0/21161.32.0.1 to 161.32.7.254161.32.7.2552,046
2161.32.8.0/21161.32.8.1 to 161.32.15.254161.32.15.2552,046
3161.32.16.0/21161.32.16.1 to 161.32.23.254161.32.23.2552,046
4161.32.24.0/21161.32.24.1 to 161.32.31.254161.32.31.2552,046
5161.32.32.0/21161.32.32.1 to 161.32.39.254161.32.39.2552,046
6161.32.40.0/21161.32.40.1 to 161.32.47.254161.32.47.2552,046
7161.32.48.0/21161.32.48.1 to 161.32.55.254161.32.55.2552,046
8161.32.56.0/21161.32.56.1 to 161.32.63.254161.32.63.2552,046
9161.32.64.0/21161.32.64.1 to 161.32.71.254161.32.71.2552,046
10161.32.72.0/21161.32.72.1 to 161.32.79.254161.32.79.2552,046
11161.32.80.0/21161.32.80.1 to 161.32.87.254161.32.87.2552,046
12161.32.88.0/21161.32.88.1 to 161.32.95.254161.32.95.2552,046
13161.32.96.0/21161.32.96.1 to 161.32.103.254161.32.103.2552,046
14161.32.104.0/21161.32.104.1 to 161.32.111.254161.32.111.2552,046
15161.32.112.0/21161.32.112.1 to 161.32.119.254161.32.119.2552,046
16161.32.120.0/21161.32.120.1 to 161.32.127.254161.32.127.2552,046
17161.32.128.0/21161.32.128.1 to 161.32.135.254161.32.135.2552,046
18161.32.136.0/21161.32.136.1 to 161.32.143.254161.32.143.2552,046
19161.32.144.0/21161.32.144.1 to 161.32.151.254161.32.151.2552,046
20161.32.152.0/21161.32.152.1 to 161.32.159.254161.32.159.2552,046
21161.32.160.0/21161.32.160.1 to 161.32.167.254161.32.167.2552,046
22161.32.168.0/21161.32.168.1 to 161.32.175.254161.32.175.2552,046
23161.32.176.0/21161.32.176.1 to 161.32.183.254161.32.183.2552,046
24161.32.184.0/21161.32.184.1 to 161.32.191.254161.32.191.2552,046
25161.32.192.0/21161.32.192.1 to 161.32.199.254161.32.199.2552,046
26161.32.200.0/21161.32.200.1 to 161.32.207.254161.32.207.2552,046
27161.32.208.0/21161.32.208.1 to 161.32.215.254161.32.215.2552,046
28161.32.216.0/21161.32.216.1 to 161.32.223.254161.32.223.2552,046
29161.32.224.0/21161.32.224.1 to 161.32.231.254161.32.231.2552,046
30161.32.232.0/21161.32.232.1 to 161.32.239.254161.32.239.2552,046
31161.32.240.0/21161.32.240.1 to 161.32.247.254161.32.247.2552,046
32161.32.248.0/21161.32.248.1 to 161.32.255.254161.32.255.2552,046
33161.33.0.0/21161.33.0.1 to 161.33.7.254161.33.7.2552,046
34161.33.8.0/21161.33.8.1 to 161.33.15.254161.33.15.2552,046
35161.33.16.0/21161.33.16.1 to 161.33.23.254161.33.23.2552,046
36161.33.24.0/21161.33.24.1 to 161.33.31.254161.33.31.2552,046
37161.33.32.0/21161.33.32.1 to 161.33.39.254161.33.39.2552,046
38161.33.40.0/21161.33.40.1 to 161.33.47.254161.33.47.2552,046
39161.33.48.0/21161.33.48.1 to 161.33.55.254161.33.55.2552,046
40161.33.56.0/21161.33.56.1 to 161.33.63.254161.33.63.2552,046
41161.33.64.0/21161.33.64.1 to 161.33.71.254161.33.71.2552,046
42161.33.72.0/21161.33.72.1 to 161.33.79.254161.33.79.2552,046
43161.33.80.0/21161.33.80.1 to 161.33.87.254161.33.87.2552,046
44161.33.88.0/21161.33.88.1 to 161.33.95.254161.33.95.2552,046
45161.33.96.0/21161.33.96.1 to 161.33.103.254161.33.103.2552,046
46161.33.104.0/21161.33.104.1 to 161.33.111.254161.33.111.2552,046
47161.33.112.0/21161.33.112.1 to 161.33.119.254161.33.119.2552,046
48161.33.120.0/21161.33.120.1 to 161.33.127.254161.33.127.2552,046
49161.33.128.0/21161.33.128.1 to 161.33.135.254161.33.135.2552,046
50161.33.136.0/21161.33.136.1 to 161.33.143.254161.33.143.2552,046
51161.33.144.0/21161.33.144.1 to 161.33.151.254161.33.151.2552,046
52161.33.152.0/21161.33.152.1 to 161.33.159.254161.33.159.2552,046
53161.33.160.0/21161.33.160.1 to 161.33.167.254161.33.167.2552,046
54161.33.168.0/21161.33.168.1 to 161.33.175.254161.33.175.2552,046
55161.33.176.0/21161.33.176.1 to 161.33.183.254161.33.183.2552,046
56161.33.184.0/21161.33.184.1 to 161.33.191.254161.33.191.2552,046
57161.33.192.0/21161.33.192.1 to 161.33.199.254161.33.199.2552,046
58161.33.200.0/21161.33.200.1 to 161.33.207.254161.33.207.2552,046
59161.33.208.0/21161.33.208.1 to 161.33.215.254161.33.215.2552,046
60161.33.216.0/21161.33.216.1 to 161.33.223.254161.33.223.2552,046
61161.33.224.0/21161.33.224.1 to 161.33.231.254161.33.231.2552,046
62161.33.232.0/21161.33.232.1 to 161.33.239.254161.33.239.2552,046
63161.33.240.0/21161.33.240.1 to 161.33.247.254161.33.247.2552,046
64161.33.248.0/21161.33.248.1 to 161.33.255.254161.33.255.2552,046
65161.34.0.0/21161.34.0.1 to 161.34.7.254161.34.7.2552,046
66161.34.8.0/21161.34.8.1 to 161.34.15.254161.34.15.2552,046
67161.34.16.0/21161.34.16.1 to 161.34.23.254161.34.23.2552,046
68161.34.24.0/21161.34.24.1 to 161.34.31.254161.34.31.2552,046
69161.34.32.0/21161.34.32.1 to 161.34.39.254161.34.39.2552,046
70161.34.40.0/21161.34.40.1 to 161.34.47.254161.34.47.2552,046
71161.34.48.0/21161.34.48.1 to 161.34.55.254161.34.55.2552,046
72161.34.56.0/21161.34.56.1 to 161.34.63.254161.34.63.2552,046
73161.34.64.0/21161.34.64.1 to 161.34.71.254161.34.71.2552,046
74161.34.72.0/21161.34.72.1 to 161.34.79.254161.34.79.2552,046
75161.34.80.0/21161.34.80.1 to 161.34.87.254161.34.87.2552,046
76161.34.88.0/21161.34.88.1 to 161.34.95.254161.34.95.2552,046
77161.34.96.0/21161.34.96.1 to 161.34.103.254161.34.103.2552,046
78161.34.104.0/21161.34.104.1 to 161.34.111.254161.34.111.2552,046
79161.34.112.0/21161.34.112.1 to 161.34.119.254161.34.119.2552,046
80161.34.120.0/21161.34.120.1 to 161.34.127.254161.34.127.2552,046
81161.34.128.0/21161.34.128.1 to 161.34.135.254161.34.135.2552,046
82161.34.136.0/21161.34.136.1 to 161.34.143.254161.34.143.2552,046
83161.34.144.0/21161.34.144.1 to 161.34.151.254161.34.151.2552,046
84161.34.152.0/21161.34.152.1 to 161.34.159.254161.34.159.2552,046
85161.34.160.0/21161.34.160.1 to 161.34.167.254161.34.167.2552,046
86161.34.168.0/21161.34.168.1 to 161.34.175.254161.34.175.2552,046
87161.34.176.0/21161.34.176.1 to 161.34.183.254161.34.183.2552,046
88161.34.184.0/21161.34.184.1 to 161.34.191.254161.34.191.2552,046
89161.34.192.0/21161.34.192.1 to 161.34.199.254161.34.199.2552,046
90161.34.200.0/21161.34.200.1 to 161.34.207.254161.34.207.2552,046
91161.34.208.0/21161.34.208.1 to 161.34.215.254161.34.215.2552,046
92161.34.216.0/21161.34.216.1 to 161.34.223.254161.34.223.2552,046
93161.34.224.0/21161.34.224.1 to 161.34.231.254161.34.231.2552,046
94161.34.232.0/21161.34.232.1 to 161.34.239.254161.34.239.2552,046
95161.34.240.0/21161.34.240.1 to 161.34.247.254161.34.247.2552,046
96161.34.248.0/21161.34.248.1 to 161.34.255.254161.34.255.2552,046
97161.35.0.0/21161.35.0.1 to 161.35.7.254161.35.7.2552,046
98161.35.8.0/21161.35.8.1 to 161.35.15.254161.35.15.2552,046
99161.35.16.0/21161.35.16.1 to 161.35.23.254161.35.23.2552,046
100161.35.24.0/21161.35.24.1 to 161.35.31.254161.35.31.2552,046
101161.35.32.0/21161.35.32.1 to 161.35.39.254161.35.39.2552,046
102161.35.40.0/21161.35.40.1 to 161.35.47.254161.35.47.2552,046
103161.35.48.0/21161.35.48.1 to 161.35.55.254161.35.55.2552,046
104161.35.56.0/21161.35.56.1 to 161.35.63.254161.35.63.2552,046
105161.35.64.0/21161.35.64.1 to 161.35.71.254161.35.71.2552,046
106161.35.72.0/21161.35.72.1 to 161.35.79.254161.35.79.2552,046
107161.35.80.0/21161.35.80.1 to 161.35.87.254161.35.87.2552,046
108161.35.88.0/21161.35.88.1 to 161.35.95.254161.35.95.2552,046
109161.35.96.0/21161.35.96.1 to 161.35.103.254161.35.103.2552,046
110161.35.104.0/21161.35.104.1 to 161.35.111.254161.35.111.2552,046
111161.35.112.0/21161.35.112.1 to 161.35.119.254161.35.119.2552,046
112161.35.120.0/21161.35.120.1 to 161.35.127.254161.35.127.2552,046
113161.35.128.0/21161.35.128.1 to 161.35.135.254161.35.135.2552,046
114161.35.136.0/21161.35.136.1 to 161.35.143.254161.35.143.2552,046
115161.35.144.0/21161.35.144.1 to 161.35.151.254161.35.151.2552,046
116161.35.152.0/21161.35.152.1 to 161.35.159.254161.35.159.2552,046
117161.35.160.0/21161.35.160.1 to 161.35.167.254161.35.167.2552,046
118161.35.168.0/21161.35.168.1 to 161.35.175.254161.35.175.2552,046
119161.35.176.0/21161.35.176.1 to 161.35.183.254161.35.183.2552,046
120161.35.184.0/21161.35.184.1 to 161.35.191.254161.35.191.2552,046
121161.35.192.0/21161.35.192.1 to 161.35.199.254161.35.199.2552,046
122161.35.200.0/21161.35.200.1 to 161.35.207.254161.35.207.2552,046
123161.35.208.0/21161.35.208.1 to 161.35.215.254161.35.215.2552,046
124161.35.216.0/21161.35.216.1 to 161.35.223.254161.35.223.2552,046
125161.35.224.0/21161.35.224.1 to 161.35.231.254161.35.231.2552,046
126161.35.232.0/21161.35.232.1 to 161.35.239.254161.35.239.2552,046
127161.35.240.0/21161.35.240.1 to 161.35.247.254161.35.247.2552,046
128161.35.248.0/21161.35.248.1 to 161.35.255.254161.35.255.2552,046
129161.36.0.0/21161.36.0.1 to 161.36.7.254161.36.7.2552,046
130161.36.8.0/21161.36.8.1 to 161.36.15.254161.36.15.2552,046
131161.36.16.0/21161.36.16.1 to 161.36.23.254161.36.23.2552,046
132161.36.24.0/21161.36.24.1 to 161.36.31.254161.36.31.2552,046
133161.36.32.0/21161.36.32.1 to 161.36.39.254161.36.39.2552,046
134161.36.40.0/21161.36.40.1 to 161.36.47.254161.36.47.2552,046
135161.36.48.0/21161.36.48.1 to 161.36.55.254161.36.55.2552,046
136161.36.56.0/21161.36.56.1 to 161.36.63.254161.36.63.2552,046
137161.36.64.0/21161.36.64.1 to 161.36.71.254161.36.71.2552,046
138161.36.72.0/21161.36.72.1 to 161.36.79.254161.36.79.2552,046
139161.36.80.0/21161.36.80.1 to 161.36.87.254161.36.87.2552,046
140161.36.88.0/21161.36.88.1 to 161.36.95.254161.36.95.2552,046
141161.36.96.0/21161.36.96.1 to 161.36.103.254161.36.103.2552,046
142161.36.104.0/21161.36.104.1 to 161.36.111.254161.36.111.2552,046
143161.36.112.0/21161.36.112.1 to 161.36.119.254161.36.119.2552,046
144161.36.120.0/21161.36.120.1 to 161.36.127.254161.36.127.2552,046
145161.36.128.0/21161.36.128.1 to 161.36.135.254161.36.135.2552,046
146161.36.136.0/21161.36.136.1 to 161.36.143.254161.36.143.2552,046
147161.36.144.0/21161.36.144.1 to 161.36.151.254161.36.151.2552,046
148161.36.152.0/21161.36.152.1 to 161.36.159.254161.36.159.2552,046
149161.36.160.0/21161.36.160.1 to 161.36.167.254161.36.167.2552,046
150161.36.168.0/21161.36.168.1 to 161.36.175.254161.36.175.2552,046
151161.36.176.0/21161.36.176.1 to 161.36.183.254161.36.183.2552,046
152161.36.184.0/21161.36.184.1 to 161.36.191.254161.36.191.2552,046
153161.36.192.0/21161.36.192.1 to 161.36.199.254161.36.199.2552,046
154161.36.200.0/21161.36.200.1 to 161.36.207.254161.36.207.2552,046
155161.36.208.0/21161.36.208.1 to 161.36.215.254161.36.215.2552,046
156161.36.216.0/21161.36.216.1 to 161.36.223.254161.36.223.2552,046
157161.36.224.0/21161.36.224.1 to 161.36.231.254161.36.231.2552,046
158161.36.232.0/21161.36.232.1 to 161.36.239.254161.36.239.2552,046
159161.36.240.0/21161.36.240.1 to 161.36.247.254161.36.247.2552,046
160161.36.248.0/21161.36.248.1 to 161.36.255.254161.36.255.2552,046
161161.37.0.0/21161.37.0.1 to 161.37.7.254161.37.7.2552,046
162161.37.8.0/21161.37.8.1 to 161.37.15.254161.37.15.2552,046
163161.37.16.0/21161.37.16.1 to 161.37.23.254161.37.23.2552,046
164161.37.24.0/21161.37.24.1 to 161.37.31.254161.37.31.2552,046
165161.37.32.0/21161.37.32.1 to 161.37.39.254161.37.39.2552,046
166161.37.40.0/21161.37.40.1 to 161.37.47.254161.37.47.2552,046
167161.37.48.0/21161.37.48.1 to 161.37.55.254161.37.55.2552,046
168161.37.56.0/21161.37.56.1 to 161.37.63.254161.37.63.2552,046
169161.37.64.0/21161.37.64.1 to 161.37.71.254161.37.71.2552,046
170161.37.72.0/21161.37.72.1 to 161.37.79.254161.37.79.2552,046
171161.37.80.0/21161.37.80.1 to 161.37.87.254161.37.87.2552,046
172161.37.88.0/21161.37.88.1 to 161.37.95.254161.37.95.2552,046
173161.37.96.0/21161.37.96.1 to 161.37.103.254161.37.103.2552,046
174161.37.104.0/21161.37.104.1 to 161.37.111.254161.37.111.2552,046
175161.37.112.0/21161.37.112.1 to 161.37.119.254161.37.119.2552,046
176161.37.120.0/21161.37.120.1 to 161.37.127.254161.37.127.2552,046
177161.37.128.0/21161.37.128.1 to 161.37.135.254161.37.135.2552,046
178161.37.136.0/21161.37.136.1 to 161.37.143.254161.37.143.2552,046
179161.37.144.0/21161.37.144.1 to 161.37.151.254161.37.151.2552,046
180161.37.152.0/21161.37.152.1 to 161.37.159.254161.37.159.2552,046
181161.37.160.0/21161.37.160.1 to 161.37.167.254161.37.167.2552,046
182161.37.168.0/21161.37.168.1 to 161.37.175.254161.37.175.2552,046
183161.37.176.0/21161.37.176.1 to 161.37.183.254161.37.183.2552,046
184161.37.184.0/21161.37.184.1 to 161.37.191.254161.37.191.2552,046
185161.37.192.0/21161.37.192.1 to 161.37.199.254161.37.199.2552,046
186161.37.200.0/21161.37.200.1 to 161.37.207.254161.37.207.2552,046
187161.37.208.0/21161.37.208.1 to 161.37.215.254161.37.215.2552,046
188161.37.216.0/21161.37.216.1 to 161.37.223.254161.37.223.2552,046
189161.37.224.0/21161.37.224.1 to 161.37.231.254161.37.231.2552,046
190161.37.232.0/21161.37.232.1 to 161.37.239.254161.37.239.2552,046
191161.37.240.0/21161.37.240.1 to 161.37.247.254161.37.247.2552,046
192161.37.248.0/21161.37.248.1 to 161.37.255.254161.37.255.2552,046
193161.38.0.0/21161.38.0.1 to 161.38.7.254161.38.7.2552,046
194161.38.8.0/21161.38.8.1 to 161.38.15.254161.38.15.2552,046
195161.38.16.0/21161.38.16.1 to 161.38.23.254161.38.23.2552,046
196161.38.24.0/21161.38.24.1 to 161.38.31.254161.38.31.2552,046
197161.38.32.0/21161.38.32.1 to 161.38.39.254161.38.39.2552,046
198161.38.40.0/21161.38.40.1 to 161.38.47.254161.38.47.2552,046
199161.38.48.0/21161.38.48.1 to 161.38.55.254161.38.55.2552,046
200161.38.56.0/21161.38.56.1 to 161.38.63.254161.38.63.2552,046
201161.38.64.0/21161.38.64.1 to 161.38.71.254161.38.71.2552,046
202161.38.72.0/21161.38.72.1 to 161.38.79.254161.38.79.2552,046
203161.38.80.0/21161.38.80.1 to 161.38.87.254161.38.87.2552,046
204161.38.88.0/21161.38.88.1 to 161.38.95.254161.38.95.2552,046
205161.38.96.0/21161.38.96.1 to 161.38.103.254161.38.103.2552,046
206161.38.104.0/21161.38.104.1 to 161.38.111.254161.38.111.2552,046
207161.38.112.0/21161.38.112.1 to 161.38.119.254161.38.119.2552,046
208161.38.120.0/21161.38.120.1 to 161.38.127.254161.38.127.2552,046
209161.38.128.0/21161.38.128.1 to 161.38.135.254161.38.135.2552,046
210161.38.136.0/21161.38.136.1 to 161.38.143.254161.38.143.2552,046
211161.38.144.0/21161.38.144.1 to 161.38.151.254161.38.151.2552,046
212161.38.152.0/21161.38.152.1 to 161.38.159.254161.38.159.2552,046
213161.38.160.0/21161.38.160.1 to 161.38.167.254161.38.167.2552,046
214161.38.168.0/21161.38.168.1 to 161.38.175.254161.38.175.2552,046
215161.38.176.0/21161.38.176.1 to 161.38.183.254161.38.183.2552,046
216161.38.184.0/21161.38.184.1 to 161.38.191.254161.38.191.2552,046
217161.38.192.0/21161.38.192.1 to 161.38.199.254161.38.199.2552,046
218161.38.200.0/21161.38.200.1 to 161.38.207.254161.38.207.2552,046
219161.38.208.0/21161.38.208.1 to 161.38.215.254161.38.215.2552,046
220161.38.216.0/21161.38.216.1 to 161.38.223.254161.38.223.2552,046
221161.38.224.0/21161.38.224.1 to 161.38.231.254161.38.231.2552,046
222161.38.232.0/21161.38.232.1 to 161.38.239.254161.38.239.2552,046
223161.38.240.0/21161.38.240.1 to 161.38.247.254161.38.247.2552,046
224161.38.248.0/21161.38.248.1 to 161.38.255.254161.38.255.2552,046
225161.39.0.0/21161.39.0.1 to 161.39.7.254161.39.7.2552,046
226161.39.8.0/21161.39.8.1 to 161.39.15.254161.39.15.2552,046
227161.39.16.0/21161.39.16.1 to 161.39.23.254161.39.23.2552,046
228161.39.24.0/21161.39.24.1 to 161.39.31.254161.39.31.2552,046
229161.39.32.0/21161.39.32.1 to 161.39.39.254161.39.39.2552,046
230161.39.40.0/21161.39.40.1 to 161.39.47.254161.39.47.2552,046
231161.39.48.0/21161.39.48.1 to 161.39.55.254161.39.55.2552,046
232161.39.56.0/21161.39.56.1 to 161.39.63.254161.39.63.2552,046
233161.39.64.0/21161.39.64.1 to 161.39.71.254161.39.71.2552,046
234161.39.72.0/21161.39.72.1 to 161.39.79.254161.39.79.2552,046
235161.39.80.0/21161.39.80.1 to 161.39.87.254161.39.87.2552,046
236161.39.88.0/21161.39.88.1 to 161.39.95.254161.39.95.2552,046
237161.39.96.0/21161.39.96.1 to 161.39.103.254161.39.103.2552,046
238161.39.104.0/21161.39.104.1 to 161.39.111.254161.39.111.2552,046
239161.39.112.0/21161.39.112.1 to 161.39.119.254161.39.119.2552,046
240161.39.120.0/21161.39.120.1 to 161.39.127.254161.39.127.2552,046
241161.39.128.0/21161.39.128.1 to 161.39.135.254161.39.135.2552,046
242161.39.136.0/21161.39.136.1 to 161.39.143.254161.39.143.2552,046
243161.39.144.0/21161.39.144.1 to 161.39.151.254161.39.151.2552,046
244161.39.152.0/21161.39.152.1 to 161.39.159.254161.39.159.2552,046
245161.39.160.0/21161.39.160.1 to 161.39.167.254161.39.167.2552,046
246161.39.168.0/21161.39.168.1 to 161.39.175.254161.39.175.2552,046
247161.39.176.0/21161.39.176.1 to 161.39.183.254161.39.183.2552,046
248161.39.184.0/21161.39.184.1 to 161.39.191.254161.39.191.2552,046
249161.39.192.0/21161.39.192.1 to 161.39.199.254161.39.199.2552,046
250161.39.200.0/21161.39.200.1 to 161.39.207.254161.39.207.2552,046
251161.39.208.0/21161.39.208.1 to 161.39.215.254161.39.215.2552,046
252161.39.216.0/21161.39.216.1 to 161.39.223.254161.39.223.2552,046
253161.39.224.0/21161.39.224.1 to 161.39.231.254161.39.231.2552,046
254161.39.232.0/21161.39.232.1 to 161.39.239.254161.39.239.2552,046
255161.39.240.0/21161.39.240.1 to 161.39.247.254161.39.247.2552,046
256161.39.248.0/21161.39.248.1 to 161.39.255.254161.39.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses